/**
 * Created by Administrator on 2021/4/5.
 */
define(['jquery', "template", "Tools", "itemsApi", "paging"], function ($, template, Tools ) {
    //数据存储
    var module = {
        data: {
            //服务器地址
            serverApi:'http://192.168.31.107:8080',
            //标的物类型
            deptTypeList:[],
            //标的物所在地
            deptLocationList:[],
            //标的物二级所在地
            deptSecondLocationList:[],
            //新闻列表
            itemsInformationList:'',
            //页码
            pageNum: 1,
            //页码集合
            pageList: [],
            //每页数量
            pageSize: 1,
            //总页数
            pageCount:0,
            //标的物集合长度
            deptSize:24,
            //标的物选中项id
            deptId:'',
            //标的所在地选中
            secondDeptId:''
        },
    };
    var tools = new Tools();

    module.init = function (page) {

        //新闻资讯
        tools.doGet(itemsList, {deptId:100,pageNum:module.data.pageNum,pageSize:module.data.pageSize}, module.itemList, true);

        //标的物类型
        tools.doGet(webDeptType+"/project_type", {}, module.deptType, true);

        //标的物所在地
        tools.doGet(webDept, {deptId:''}, module.deptLocation, true);
    };

    //挂牌项目列表
    module.itemList = function (data) {
        if (data.code == 200) {
            console.log(data)
            var content = data.rows;
            var pageCount = (data.total/module.data.pageSize).toFixed(0);
            if (pageCount < 1){
                pageCount = 1;
            }
            if(module.data.itemsInformationList == ''){
                // 初始化 分页器
                var page_s1=createPage('.page_s1');
                // 设置分页
                setPage(page_s1,{
                    pageTotal: data.total, // 数据总条数
                    pageSize: module.data.pageSize,    // 每页显示条数
                    pageCurrent: 1,  //  当前页
                    maxBtnNum: 5,   // 最多按钮个数  （最少5个）
                })
                $('#page_s1').html('共'+pageCount+'页')
            }
            module.data.pageCount = pageCount;
            module.data.itemsInformationList = content;
            var ItemsInformationData = template('ItemsInformationData', module.data);
            $("#ItemsInformationContent").html(ItemsInformationData);
        }
    }

    //标的物类型
    module.deptType = function (data) {
        console.log(data)
        if (data.code == 200) {
            var content = [] ;
            console.log(data.data)
            for (var i = 0 ; i < 4 ; i++){
                content[i] = data.data[i];
            }
            console.log(content)
            module.data.deptTypeList = content;
            var deptTypeData = template('deptTypeData', module.data);
            $("#deptTypeContent").html(deptTypeData);
        }
    }

    //标的物所在地
    module.deptLocation = function (data) {
        if (data.code == 200) {
            var content = data.data ;
            module.data.deptLocationList = content;
            var deptLocationData = template('deptLocationData', module.data);
            $("#deptLocationContent").html(deptLocationData);
        }
    }

    //标的物所在地(二级)
    module.deptSecondLocation = function (data) {
        if ( data.data.length == 0){
            document.getElementById('secondDept').style.display = 'none';
            return;
        }else{
            document.getElementById('secondDept').style.display = 'block';
        }
        if (data.code == 200) {
            console.log(data)
            var content = data.data;
            module.data.deptSecondLocationList = content;
            var deptSecondLocationData = template('deptSecondLocationData', module.data);
            $("#secondDept").html(deptSecondLocationData);
            console.log(module.data.deptId)
        }
    }

    tabCheck = function (deptId) {
        console.log(deptId)
        module.data.deptId = deptId;
        for (var i = 0 ; i < module.data.deptLocationList.length ; i++){
            document.getElementById('locInfoall'+(101+i)).className = 'auction_hall_table_tab auction_loc'
        }
        document.getElementById('locInfoall'+deptId).className = 'auction_hall_table_tab auction_loc auction_hall_table_tab_select'
        tools.doGet(webDept, {deptId:deptId}, module.deptSecondLocation, true);
    }

    secondCheck = function(id,secondDeptId){
        document.getElementById('locInfoSecondall').className = 'auction_hall_table_tab  auction_loc'
        for (var i = 0 ; i < module.data.deptSecondLocationList.length ; i++){
            document.getElementById('locInfoall'+i).className = 'auction_hall_table_tab  auction_loc'
        }
        console.log(id)
        if(id == '' && secondDeptId == ''){
            document.getElementById('locInfoSecondall').className = 'auction_hall_table_tab  auction_loc auction_hall_table_tab_select'
            module.data.secondDeptId = secondDeptId;
        }else{
            document.getElementById('locInfoall'+id).className = 'auction_hall_table_tab auction_loc auction_hall_table_tab_select'
        }
        module.data.secondDeptId = secondDeptId;
    }

    allDept = function (){
        module.data.deptSize = 30
        document.getElementById('allDept').innerHTML = "<i class='sanjiao-top'></i>";
        document.getElementById('allDept').onclick = upDept;
        tools.doGet(webDept + '/0', {}, module.deptLocation, true);
    }

    upDept = function (){
        module.data.deptSize = 24
        document.getElementById('allDept').innerHTML = "<i class='sanjiao-bottom'></i>";
        document.getElementById('allDept').onclick = allDept;
        tools.doGet(webDept + '/0', {}, module.deptLocation, true);
    }

    turnThePage = function (pageNum) {
        module.data.pageNum = pageNum ;
        tools.doGet(itemsList, {deptId:100,pageNum:module.data.pageNum,pageSize:module.data.pageSize}, module.itemList, true);
    }
    return module;
});